<?
/* QM Promisance - Turn-based strategy game
 * Copyright (C) 2001-2008 QMT Productions
 *
 * $URL: https://qmpromisance.svn.sourceforge.net/svnroot/qmpromisance/promisance/tags/release-4_0/lang/en-US/guide/pvtmarketbuy.php $
 * $Id: pvtmarketbuy.php 1360 2009-01-01 21:27:41Z Quietust $
 */

if (!defined('IN_GUIDE'))
	die('Access denied');

guidepage($topic, 'pvtmarketbuy', 'g_pvtmarketbuy', 'The Private Market - Buying');
function g_pvtmarketbuy ()
{
	global $era;
?>
<h2>The Private Market - Buying</h2>
<p>Within every empire, there exist those who train mercenaries, build instruments of war, and stockpile food. If your empire's <?=lang($era->bldtrp)?> and <?=lang($era->bldfood)?> do not produce enough to sustain its citizens and army, you may spend your money here to purchase these goods.</p>
<p>Only a finite number of goods can be purchased from the private market in a given time span - once depleted, you will need to wait for more to be produced. The rate at which units and food are replenished is based on both the overall size of your empire and how many <?=lang($era->bldcost)?> and <?=lang($era->bldfood)?> you have, respectively.</p>
<p>The cost of goods on the private market is affected by your economy and your ability to maintain such units - having a large percentage of your empire occupied by <?=lang($era->bldcash)?> and <?=lang($era->bldcost)?> will reduce the purchase prices of military units by up to 40%; however, food prices are not affected.</p>
<?
}
?>
